package com.zhentao.information.repository;

import com.zhentao.information.entity.ChatMessage;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.mongodb.repository.Query;

import java.util.List;

/**
 * 聊天消息仓库
 */
public interface ChatMessageRepository extends MongoRepository<ChatMessage, String> {

    /**
     * 查询两个用户之间的聊天记录
     */
    @Query("{'chatId': ?0}")
    List<ChatMessage> findByChatId(String chatId);

    /**
     * 查询用户的所有未读消息
     */
    List<ChatMessage> findByToUserIdAndIsReadFalse(String toUserId);
}
